Bug 130552 - error applying FreeBSD patches for sysutils/bacula-server-devel ports
Summary: error applying FreeBSD patches for sysutils/bacula-server-devel ports
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wesley Shields
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-01-14 15:50 UTC by Oleg
Modified: 2009-01-22 01:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Oleg 2009-01-14 15:50:01 UTC
Error applying path when options "AUTOSETEOT  Enable auto seteotmodel" is selected:
--
===>  Applying FreeBSD patches for bacula-server-devel-2.4.4.b2
1 out of 1 hunks failed--saving rejects to src/stored/dev.c.rej
*** Error code 1

Stop in /usr/ports/sysutils/bacula-server-devel.
*** Error code 1

Stop in /usr/ports/sysutils/bacula-server-devel.
--

Without AUTOSETEOT options all ok.

How-To-Repeat: (from root user)
portsnap fetch [extract|update]; 
cd /usr/ports/sysutils/bacula-server-devel && make WITH_AUTOSETEOT=yes patch
Comment 1 Edwin Groothuis freebsd_committer 2009-01-14 15:50:12 UTC
Maintainer of sysutils/bacula-server-devel,

Please note that PR ports/130552 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/130552

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2009-01-14 15:50:14 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Wesley Shields freebsd_committer 2009-01-15 00:18:03 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wxs

I'll take it.
Comment 4 Dan Langille 2009-01-15 01:22:01 UTC
Bug confirmed.

Trouble is: patched or not, the port does not compile.  I have sent this 
upstream.

Ole: can you confirm the port compiles with WITH_AUTOSETEOT=no?

-- 
Dan Langille

BSDCan - The Technical BSD Conference : http://www.bsdcan.org/
PGCon  - The PostgreSQL Conference:     http://www.pgcon.org/
Comment 5 Oleg 2009-01-15 06:26:42 UTC
On Thursday 15 January 2009 04:22:01 Dan Langille wrote:
> Bug confirmed.
>
> Trouble is: patched or not, the port does not compile.  I have sent this
> upstream.
>
> Ole: can you confirm the port compiles with WITH_AUTOSETEOT=no?

Hello

Confirm -  port does not compile with WITH_AUTOSETEOT=no. However break on 
applying patch stage.

With "make WITHOUT_AUTOSETEOT=yes" command building complete
Comment 6 dfilter service freebsd_committer 2009-01-22 01:05:15 UTC
wxs         2009-01-22 01:05:03 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/bacula-server-devel Makefile 
  Removed files:
    sysutils/bacula-server-devel/files 
                                       eotmodel-src-stored-dev.c.patch 
  Log:
  - Remove AUTOSETEOT option - it is no longer valid and incorporated upstream
  
  PR:             ports/130552
  Submitted by:   Ole <olevole@yandex.ru>
  Approved by:    maintainer (via IRC)
  
  Revision  Changes    Path
  1.32      +0 -7      ports/sysutils/bacula-server-devel/Makefile
  1.2       +0 -10     ports/sysutils/bacula-server-devel/files/eotmodel-src-stored-dev.c.patch (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Wesley Shields freebsd_committer 2009-01-22 01:05:16 UTC
State Changed
From-To: feedback->closed

Fixed.  Thanks!